
From: "H. Peter Anvin" <hpa@zytor.com>

This allows the i386 architecture to be built on a system with a biarch 
compiler that defaults to x86-64, merely by specifying ARCH=i386.

As previously discussed, this uses the equivalent logic to the ppc port.

Signed-Off-By: H. Peter Anvin <hpa@zytor.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/Makefile |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN arch/i386/Makefile~biarch-compiler-support-for-i386 arch/i386/Makefile
--- 25/arch/i386/Makefile~biarch-compiler-support-for-i386	2005-04-06 01:18:19.000000000 -0700
+++ 25-akpm/arch/i386/Makefile	2005-04-06 01:18:19.000000000 -0700
@@ -17,6 +17,13 @@
 #           Kianusch Sayah Karadji <kianusch@sk-tech.net>
 #           Added support for GEODE CPU
 
+HAS_BIARCH      := $(call cc-option-yn, -m32)
+ifeq ($(HAS_BIARCH),y)
+AS              := $(AS) --32
+LD              := $(LD) -m elf_i386
+CC              := $(CC) -m32
+endif
+
 LDFLAGS		:= -m elf_i386
 OBJCOPYFLAGS	:= -O binary -R .note -R .comment -S
 LDFLAGS_vmlinux :=
_
